// =======================================================================
// This file is part of sswriter (Sky Status Writer).
//
// Copyright 2008  Jonathan 'Sky' Squirawski <webmaster@sky-siteweb.com>
// 
// SSWriter is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// SSWriter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with SSWriter.  If not, see <http://www.gnu.org/licenses/>.
// -----------------------------------------------------------------------
//
//   File for command line parsing.
// =======================================================================

#ifndef __CM_PARSING_H__
#define __CM_PARSING_H__

#include <stdlib.h>
#include <stdio.h>
#include <string.h>


void print_usage(const char *progname);
int parse_args(int argc, char **argv);
int handle_format(const char *format, char **net_devices,
      unsigned int net_nb_devices, unsigned int battery_warn_limit,
      const char *date_format, const char *fortune_file, char **sensors, 
      unsigned int nb_sensors, unsigned int *lm_sensors, unsigned int nb_lm_sensors);

#endif
