// =======================================================================
// This file is part of sswriter (Sky Status Writer).
//
// Copyright 2008  Jonathan 'Sky' Squirawski <webmaster@sky-siteweb.com>
// 
// SSWriter is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// SSWriter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with SSWriter.  If not, see <http://www.gnu.org/licenses/>.
// -----------------------------------------------------------------------
//
//   Standard library of sswriter.
// =======================================================================

#ifndef __SSWRITER_STD_H__
#define __SSWRITER_STD_H__

#include <stdlib.h>

// Linux specific
#include <sys/time.h>

// Buffers
#define SBUFF_SZ 1024   // Output buffer
/*#define IBUFF_SZ  256   // Info buffer*/
#define BUFF_SZ  1024   // Standar buffer
#define PATH_SZ   256   // Path Buffer

unsigned int ctoi(char c);
double get_time();

#endif
