// =======================================================================
// This file is part of sswriter (Sky Status Writer).
//
// Copyright 2008  Jonathan 'Sky' Squirawski <webmaster@sky-siteweb.com>
// 
// SSWriter is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// SSWriter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with SSWriter.  If not, see <http://www.gnu.org/licenses/>.
// =======================================================================

#include "sswriter_std.h"

// ----------------------------------------------------------------------
//  Char to int.
// ----------------------------------------------------------------------
unsigned int ctoi(char c) {
   return c - 48;
}

// ----------------------------------------------------------------------
//  Get current timestamp.
// ----------------------------------------------------------------------
double get_time() {
   struct timeval tv;
   double timestamp = 0.0;

   if (!gettimeofday(&tv, NULL)) {
      timestamp = tv.tv_sec + (tv.tv_usec / 1000000.0);
   }
   return timestamp;
}
